// 监听来自content-script的消息
chrome.runtime.onMessage.addListener(function(request, sender, sendResponse) {
	console.log('收到来自content-script的消息：');
	console.log(request, sender, sendResponse);
	sendResponse('我是后台，我已收到你的消息123：' + JSON.stringify(request));
});

// For simple requests:
chrome.runtime.onMessageExternal.addListener(function(request, sender, sendResponse) {
	console.log('收到来自content-script的消息：');
	console.log(request, sender, sendResponse);
	document.getElementById('output').innerHTML += 'response1 ' + JSON.stringify(request)
	sendResponse('我是后台 External，我已收到你的消息123：' + JSON.stringify(request));
});


document.getElementById('send_msg').addEventListener('click', function(e) {
  try {
    // The ID of the extension we want to talk to.
    var laserExtensionId = "hafphfcjbhenlclcclgjndifmejefcbh";
    // Make a simple request:
    chrome.runtime.sendMessage(laserExtensionId, {
        getTargetData: true
      },
      function(response) {
        document.getElementById('output').innerHTML += 'response2 ' + response
        // if (targetInRange(response.targetData))
        //   chrome.runtime.sendMessage(laserExtensionId, {activateLasers: true});
      });


    // // Start a long-running conversation:
    // var port = chrome.extension.connect(laserExtensionId);
    // port.postMessage(...);
  } catch (e) {
    document.getElementById('output').innerHTML += e
  }
})



