/* global chrome */
'use strict'

function log(str) {
  document.getElementById('output').value += str
}

var messageHandler = null
document.getElementById('start_recieve').addEventListener('click', function() {
  try {
    if (messageHandler) return null
    // For simple requests:
    messageHandler = function(request, sender, sendResponse) {
      console.log('收到来自content-script的消息：')
      console.log(request, sender, sendResponse)
      log('response ' + JSON.stringify(request))
      sendResponse('我是后台 External，我已收到你的消息123：' + JSON.stringify(request))
    }
    chrome.runtime.onMessageExternal.addListener(messageHandler)

    log(' start_recieve')
  } catch (e) {
    log(e)
  }
})

document.getElementById('send_msg').addEventListener('click', function() {
  doSendMessage({})
})

function doSendMessage(data) {
  try {
    // The ID of the extension we want to talk to.
    var laserExtensionId = 'hafphfcjbhenlclcclgjndifmejefcbh'
    // Make a simple request:
    chrome.runtime.sendMessage(laserExtensionId, {
        getTargetData: true,
        data: data
      },
      function(response) {
        log('response ' + response)
        // if (targetInRange(response.targetData))
        //   chrome.runtime.sendMessage(laserExtensionId, {activateLasers: true})
      })
  } catch (e) {
    log(e)
  }
}