/* global chrome */
'use strict'

function log(str) {
  document.getElementById('output').value += str
}

document.getElementById('send_msg').addEventListener('click', function() {
  try {
    // The ID of the extension we want to talk to.
    var laserExtensionId = 'dcekcmcinjploelhehmekeifegkpjnbh';
    // Make a simple request:
    chrome.runtime.sendMessage(laserExtensionId, {
        getTargetData: true
      },
      function(response) {
        log('response ' + response)
        // if (targetInRange(response.targetData))
        //   chrome.runtime.sendMessage(laserExtensionId, {activateLasers: true});
      });
    // // Start a long-running conversation:
    // var port = chrome.extension.connect(laserExtensionId);
    // port.postMessage(...);
  } catch (e1) {
    log(e1)
  }
})

var messageHandler = null
document.getElementById('start_recieve').addEventListener('click', function() {
  try {
    if (messageHandler) return null
    messageHandler = function(request, sender, sendResponse) {
      try {
        // console.log('收到来自content-script的消息：');
        log(request, sender, sendResponse);
        

        sendResponse('I am APP background, Externnale: ' + JSON.stringify(request))
      } catch (e) {
        log(e)
      }
    }
    // For simple requests:
    chrome.runtime.onMessageExternal.addListener(messageHandler)

    log(' start_recieve')
  } catch (e1) {
    log(e1)
  }
})